"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Theme = require("../core/Theme");

var _initials = _interopRequireDefault(require("initials"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Avatar = ({
  src,
  text,
  size = 60,
  type = 'round',
  styleText,
  onPress,
  color,
  theme,
  textColor,
  style
}) => {
  const avatarStlye = {
    width: size,
    height: size,
    backgroundColor: theme.colors.primary
  };
  const textStyle = {
    fontSize: size / 2,
    color: theme.colors.buttonText
  };

  if (type === 'round') {
    avatarStlye.borderRadius = size / 2;
  }

  if (type === 'square') {
    avatarStlye.borderRadius = size / 8;
  }

  if (color) {
    avatarStlye.backgroundColor = color;
  }

  if (textColor) {
    textStyle.color = textColor;
  }

  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableWithoutFeedback, {
    onPress: onPress
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.container, avatarStlye, style]
  }, src ? /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: src,
    style: avatarStlye
  }) : /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    adjustsFontSizeToFit: true,
    style: [textStyle, styleText]
  }, (0, _initials.default)(text))));
};

const styles = _reactNative.StyleSheet.create({
  container: {
    alignItems: 'center',
    justifyContent: 'center'
  }
});

var _default = (0, _Theme.withTheme)(Avatar);

exports.default = _default;
//# sourceMappingURL=Avatar.js.map