"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _reactNativeDynamicVectorIcons = _interopRequireDefault(require("react-native-dynamic-vector-icons"));

var _Theme = require("../../core/Theme");

var _reactNativeIphoneXHelper = require("react-native-iphone-x-helper");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const TabBarItem = ({
  iconName,
  isCurrent,
  theme
}) => {
  const tabBarItemStyleHeigth = {
    marginTop: _reactNative.Platform.OS === 'ios' ? -3 : 0
  };

  if ((0, _reactNativeIphoneXHelper.isIphoneX)()) {
    tabBarItemStyleHeigth.marginTop = -5;
  }

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.item, tabBarItemStyleHeigth]
  }, /*#__PURE__*/_react.default.createElement(_reactNativeDynamicVectorIcons.default, {
    name: iconName,
    type: theme.iconsTheme,
    size: 30,
    color: isCurrent ? theme.colors.primary : 'grey'
  }));
};

var _default = (0, _Theme.withTheme)(TabBarItem);

exports.default = _default;

const styles = _reactNative.StyleSheet.create({
  item: {
    height: '100%',
    justifyContent: 'center',
    alignItems: 'center'
  }
});
//# sourceMappingURL=TabBarItem.js.map