"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Theme = require("../core/Theme");

var _reactNativeDynamicVectorIcons = _interopRequireDefault(require("react-native-dynamic-vector-icons"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Chip = ({
  children,
  type = 'round',
  onPress,
  icon,
  theme,
  itemLeft,
  itemRight,
  textStyle,
  style,
  iconStyle,
  iconSize,
  disabled
}) => {
  const chipContentStyle = {
    flexDirection: 'row',
    backgroundColor: theme.colors.primary,
    padding: 4
  };
  const defaultTextStyle = {
    color: theme.colors.buttonText,
    letterSpacing: 0.3,
    fontSize: 12,
    margin: 5
  };

  if (type === 'round') {
    chipContentStyle.borderRadius = 100;
  }

  if (type === 'square') {
    chipContentStyle.borderRadius = 10;
  }

  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress,
    disabled: disabled
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [chipContentStyle, style]
  }, icon ? /*#__PURE__*/_react.default.createElement(_reactNativeDynamicVectorIcons.default, {
    name: icon,
    type: theme.iconsTheme,
    size: iconSize || 25,
    style: iconStyle,
    color: theme.colors.buttonText
  }) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, itemLeft), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [defaultTextStyle, textStyle]
  }, children), itemRight));
};

var _default = (0, _Theme.withTheme)(Chip);

exports.default = _default;
//# sourceMappingURL=Chip.js.map