"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Image = ({
  onloadPlaceholder,
  onLoadImage,
  placeholderFadeDuration = 350,
  imageFadeDuration = 350,
  placeholderBlurRadius = 20,
  placeHolderSource,
  imageSource,
  imageStyle,
  style,
  resizeMode = 'cover'
}) => {
  const [state] = (0, _react.useState)({
    imageOpacity: new _reactNative.Animated.Value(0),
    placeholderOpacity: new _reactNative.Animated.Value(0)
  });

  function loadPlaceholder() {
    _reactNative.Animated.timing(state.placeholderOpacity, {
      toValue: 1,
      duration: placeholderFadeDuration,
      useNativeDriver: true
    }).start();

    onloadPlaceholder;
  }

  function loadImage() {
    _reactNative.Animated.timing(state.imageOpacity, {
      toValue: 1,
      duration: imageFadeDuration,
      useNativeDriver: true
    }).start();

    onLoadImage;
  }

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: style
  }, placeHolderSource ? /*#__PURE__*/_react.default.createElement(_reactNative.Animated.Image, {
    resizeMode: resizeMode,
    style: [styles.image, {
      opacity: state.placeholderOpacity
    }, imageStyle],
    source: placeHolderSource,
    onLoad: loadPlaceholder,
    blurRadius: placeholderBlurRadius
  }) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null), /*#__PURE__*/_react.default.createElement(_reactNative.Animated.Image, {
    resizeMode: resizeMode,
    style: [styles.image, {
      opacity: state.imageOpacity
    }, imageStyle],
    source: imageSource,
    onLoad: loadImage
  }));
};

const styles = _reactNative.StyleSheet.create({
  image: {
    position: 'absolute',
    top: 0,
    bottom: 0,
    left: 0,
    right: 0
  }
});

var _default = Image;
exports.default = _default;
//# sourceMappingURL=Image.js.map