"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Entry = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Entry = props => {
  const visibility = new _reactNative.Animated.Value(0);
  (0, _react.useEffect)(() => {
    _reactNative.Animated.timing(visibility, {
      toValue: props.visible ? 1 : 0,
      duration: 50,
      useNativeDriver: false
    }).start();
  }, [props.visible]);
  const {
    style,
    children,
    direction = 'down',
    visible,
    ...rest
  } = props;
  const directions = {
    up: [5, 0],
    down: [-5, 0]
  };
  const test = visibility.interpolate({
    inputRange: [0, 1],
    outputRange: directions[direction] || [0, 0]
  });
  const containerStyle = {
    opacity: visibility.interpolate({
      inputRange: [0, 1],
      outputRange: [0, 1]
    }),
    transform: [{
      translateY: test
    }]
  };
  const combinedStyle = [containerStyle, style];
  return /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, _extends({
    style: visible ? combinedStyle : containerStyle
  }, rest), visible ? children : null);
};

exports.Entry = Entry;
//# sourceMappingURL=Entry.js.map