"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Theme = require("../core/Theme");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ListItem = ({
  title,
  subTitle,
  itemRight,
  itemLeft,
  theme,
  style
}) => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.container, style]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, itemLeft), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.contentContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.title, {
      color: theme.colors.text
    }]
  }, title), subTitle && /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.subtitle
  }, "sub")), /*#__PURE__*/_react.default.createElement(_reactNative.View, null, itemRight));
};

const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1,
    flexDirection: 'row',
    alignContent: 'center',
    marginVertical: 12
  },
  contentContainer: {
    flex: 1,
    alignSelf: 'center',
    marginLeft: 12
  },
  title: {
    fontSize: 16,
    marginBottom: 2,
    textTransform: 'capitalize'
  },
  subtitle: {
    color: '#777',
    fontSize: 14,
    textTransform: 'capitalize'
  }
});

var _default = (0, _Theme.withTheme)(ListItem);

exports.default = _default;
//# sourceMappingURL=ListItem.js.map