"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _reactNativeDynamicVectorIcons = _interopRequireDefault(require("react-native-dynamic-vector-icons"));

var _reactNativeNoxi = require("react-native-noxi");

var _Theme = require("../core/Theme");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Notification = ({
  theme,
  type = 'error',
  icon = 'exclamationcircleo',
  closeIcon = 'close',
  style,
  styleContent,
  textStyle,
  onPressClose
}) => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.container, {
      borderColor: theme === null || theme === void 0 ? void 0 : theme.colors.text,
      padding: theme === null || theme === void 0 ? void 0 : theme.padding,
      backgroundColor: theme === null || theme === void 0 ? void 0 : theme.colors.surface,
      shadowColor: theme === null || theme === void 0 ? void 0 : theme.colors[type]
    }, style]
  }, /*#__PURE__*/_react.default.createElement(_reactNativeDynamicVectorIcons.default, {
    name: icon,
    type: theme === null || theme === void 0 ? void 0 : theme.iconsTheme,
    size: 30,
    color: theme === null || theme === void 0 ? void 0 : theme.colors[type]
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.content, styleContent]
  }, /*#__PURE__*/_react.default.createElement(_reactNativeNoxi.Text, {
    type: "h4",
    style: [styles.textStyle, {
      color: theme === null || theme === void 0 ? void 0 : theme.colors.text
    }, textStyle]
  }, "lasdfisdf sdfiubsdfisud")), /*#__PURE__*/_react.default.createElement(_reactNativeDynamicVectorIcons.default, {
    name: closeIcon,
    type: theme === null || theme === void 0 ? void 0 : theme.iconsTheme,
    size: 30,
    color: theme === null || theme === void 0 ? void 0 : theme.colors.text,
    onPress: onPressClose
  }));
};

var _default = (0, _Theme.withTheme)(Notification);

exports.default = _default;

const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1,
    flexDirection: 'row',
    borderWidth: 0.1,
    width: '90%',
    alignItems: 'center',
    justifyContent: 'space-evenly',
    borderRadius: 8,
    shadowOffset: {
      width: 0,
      height: 4
    },
    shadowOpacity: 0.5,
    shadowRadius: 3,
    elevation: 8
  },
  content: {
    width: '80%',
    marginLeft: 10,
    marginRight: 10
  },
  textStyle: {
    alignItems: 'center',
    justifyContent: 'center'
  }
});
//# sourceMappingURL=Notification.js.map