"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _Theme = require("../../core/Theme");

var _Select = _interopRequireDefault(require("./Select"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const SelectButton = ({
  theme,
  children,
  label,
  loading,
  style,
  size = 'small'
}) => {
  const [state, setState] = (0, _react.useState)({
    showSelect: false,
    xPos: 0,
    yPos: 0
  });
  const buttonStyle = {
    backgroundColor: theme.colors.primary
  };

  const onClose = () => {
    setState({ ...state,
      showSelect: false
    });
  };

  const setSelectPos = evt => {
    if (evt.x <= 10) {
      setState({ ...state,
        xPos: -evt.width,
        yPos: evt.y + evt.height * 4
      });
    } else {
      setState({ ...state,
        xPos: evt.x / 4,
        yPos: evt.y + evt.height * 4
      });
    }
  };

  const showSelect = () => {
    setState({ ...state,
      showSelect: true
    });
  };

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: [styles.button, buttonStyle, styles[size], style],
    onPress: showSelect,
    onLayout: ({
      nativeEvent
    }) => {
      setSelectPos(nativeEvent.layout);
    }
  }, loading ? /*#__PURE__*/_react.default.createElement(_reactNative.ActivityIndicator, {
    color: theme.colors.buttonText
  }) : /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    numberOfLines: 1,
    style: [{
      color: theme.colors.buttonText
    }]
  }, label)), /*#__PURE__*/_react.default.createElement(_Select.default, {
    show: state.showSelect,
    xPos: state.xPos,
    yPos: state.yPos,
    onClose: onClose
  }, children));
};

const styles = _reactNative.StyleSheet.create({
  button: {
    borderRadius: 50,
    justifyContent: 'center',
    flexDirection: 'row',
    alignItems: 'center'
  },
  SelectButton: {
    borderRadius: 50,
    justifyContent: 'center',
    flexDirection: 'row',
    alignItems: 'center',
    marginTop: 30
  },
  small: {
    height: 40,
    width: 80
  },
  normal: {
    height: 40,
    width: 130
  },
  full: {
    height: 40,
    width: '100%'
  },
  content: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center'
  }
});

var _default = (0, _Theme.withTheme)(SelectButton);

exports.default = _default;
//# sourceMappingURL=SelectButton.js.map