"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Theme = require("../../core/Theme");

var _reactNativeDynamicVectorIcons = _interopRequireDefault(require("react-native-dynamic-vector-icons"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const SelectItem = ({
  theme,
  label,
  loading,
  style,
  onPress,
  iconStyle,
  icon
}) => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: [styles.selectItemBasic, style],
    onPress: onPress
  }, loading ? /*#__PURE__*/_react.default.createElement(_reactNative.ActivityIndicator, {
    color: theme.colors.buttonText
  }) : /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.selectView]
  }, icon ? /*#__PURE__*/_react.default.createElement(_reactNativeDynamicVectorIcons.default, {
    name: icon,
    style: iconStyle,
    type: theme.iconsTheme,
    size: 30,
    color: theme.colors.primary
  }) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    numberOfLines: 1,
    style: [styles.textItem, {
      color: theme.colors.primary,
      marginLeft: icon ? 3 : 0
    }]
  }, label)));
};

const styles = _reactNative.StyleSheet.create({
  selectItemBasic: {
    padding: 10,
    justifyContent: 'center',
    flexDirection: 'row',
    alignItems: 'center'
  },
  selectView: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center'
  },
  textItem: {
    fontSize: 18,
    fontWeight: 'bold'
  }
});

var _default = (0, _Theme.withTheme)(SelectItem);

exports.default = _default;
//# sourceMappingURL=SelectItem.js.map