"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Theme = require("../core/Theme");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Text = ({
  theme,
  children,
  type = 'h5',
  style
}) => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles[type], {
      color: theme.colors.text
    }, style]
  }, children);
};

const styles = _reactNative.StyleSheet.create({
  h1: {
    fontSize: 31
  },
  h2: {
    fontSize: 24
  },
  h3: {
    fontSize: 20.8
  },
  h4: {
    fontSize: 16
  },
  h5: {
    fontSize: 12.8
  },
  h6: {
    fontSize: 11.2
  }
});

var _default = (0, _Theme.withTheme)(Text);

exports.default = _default;
//# sourceMappingURL=Text.js.map