"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Theme = require("../core/Theme");

var _reactNativeDynamicVectorIcons = _interopRequireDefault(require("react-native-dynamic-vector-icons"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const TextInput = ({
  theme,
  onChange,
  onChangeText,
  onBlur,
  placeholder,
  value,
  secureTextEntry,
  onPressRigthIcon,
  onPressLeftIcon,
  iconLeftName,
  iconRightName,
  styleText,
  style,
  editable = true
}) => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.sectionStyle, {
      backgroundColor: theme.colors.surface,
      borderWidth: 0.5,
      borderColor: editable ? theme.colors.primary : theme.colors.disabled
    }, style]
  }, iconLeftName ? /*#__PURE__*/_react.default.createElement(_reactNativeDynamicVectorIcons.default, {
    name: iconLeftName,
    style: styles.iconStyle,
    type: theme.iconsTheme,
    size: 30,
    color: editable ? theme.colors.primary : theme.colors.disabled,
    onPress: onPressLeftIcon
  }) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null), /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    onChange: onChange,
    onBlur: onBlur,
    editable: editable,
    placeholder: placeholder,
    onChangeText: onChangeText,
    secureTextEntry: secureTextEntry,
    selectionColor: theme.colors.primary,
    placeholderTextColor: editable ? theme.colors.primary : theme.colors.disabled,
    style: [{
      flex: 1,
      marginLeft: 5,
      marginRight: 5,
      color: theme.colors.text
    }, styleText],
    value: value
  }), iconRightName ? /*#__PURE__*/_react.default.createElement(_reactNativeDynamicVectorIcons.default, {
    name: iconRightName,
    type: theme.iconsTheme,
    style: styles.iconStyle,
    size: 30,
    color: editable ? theme.colors.primary : theme.colors.disabled,
    onPress: onPressRigthIcon
  }) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null));
};

var _default = (0, _Theme.withTheme)(TextInput);

exports.default = _default;

const styles = _reactNative.StyleSheet.create({
  iconStyle: {
    padding: '1%'
  },
  sectionStyle: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 5
  }
});
//# sourceMappingURL=TextInput.js.map