"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Theme = require("../../core/Theme");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const FadeIn = ({
  style,
  theme,
  children,
  animate = true
}) => {
  const {
    current: visibility
  } = _react.default.useRef(new _reactNative.Animated.Value(0));

  const {
    scale
  } = theme.animation;

  _react.default.useEffect(() => {
    _reactNative.Animated.timing(visibility, {
      toValue: 1,
      duration: animate ? 300 * scale : 0,
      useNativeDriver: true
    }).start();
  }, [scale, visibility]);

  const animateStyle = {
    opacity: visibility
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: [animateStyle, style]
  }, children);
};

var _default = (0, _Theme.withTheme)(FadeIn);

exports.default = _default;
//# sourceMappingURL=FadeIn.js.map