import React from 'react';
import { StyleSheet, TouchableWithoutFeedback, Image, Text, View } from 'react-native';
import { withTheme } from '../core/Theme';
import initials from 'initials';

const Avatar = ({
  src,
  text,
  size = 60,
  type = 'round',
  styleText,
  onPress,
  color,
  theme,
  textColor,
  style
}) => {
  const avatarStlye = {
    width: size,
    height: size,
    backgroundColor: theme.colors.primary
  };
  const textStyle = {
    fontSize: size / 2,
    color: theme.colors.buttonText
  };

  if (type === 'round') {
    avatarStlye.borderRadius = size / 2;
  }

  if (type === 'square') {
    avatarStlye.borderRadius = size / 8;
  }

  if (color) {
    avatarStlye.backgroundColor = color;
  }

  if (textColor) {
    textStyle.color = textColor;
  }

  return /*#__PURE__*/React.createElement(TouchableWithoutFeedback, {
    onPress: onPress
  }, /*#__PURE__*/React.createElement(View, {
    style: [styles.container, avatarStlye, style]
  }, src ? /*#__PURE__*/React.createElement(Image, {
    source: src,
    style: avatarStlye
  }) : /*#__PURE__*/React.createElement(Text, {
    adjustsFontSizeToFit: true,
    style: [textStyle, styleText]
  }, initials(text))));
};

const styles = StyleSheet.create({
  container: {
    alignItems: 'center',
    justifyContent: 'center'
  }
});
export default withTheme(Avatar);
//# sourceMappingURL=Avatar.js.map