function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useEffect } from 'react';
import { Animated } from 'react-native';
export const Entry = props => {
  const visibility = new Animated.Value(0);
  useEffect(() => {
    Animated.timing(visibility, {
      toValue: props.visible ? 1 : 0,
      duration: 50,
      useNativeDriver: false
    }).start();
  }, [props.visible]);
  const {
    style,
    children,
    direction = 'down',
    visible,
    ...rest
  } = props;
  const directions = {
    up: [5, 0],
    down: [-5, 0]
  };
  const test = visibility.interpolate({
    inputRange: [0, 1],
    outputRange: directions[direction] || [0, 0]
  });
  const containerStyle = {
    opacity: visibility.interpolate({
      inputRange: [0, 1],
      outputRange: [0, 1]
    }),
    transform: [{
      translateY: test
    }]
  };
  const combinedStyle = [containerStyle, style];
  return /*#__PURE__*/React.createElement(Animated.View, _extends({
    style: visible ? combinedStyle : containerStyle
  }, rest), visible ? children : null);
};
//# sourceMappingURL=Entry.js.map