import React from 'react';
import { StyleSheet, View, Text } from 'react-native';
import { withTheme } from '../core/Theme';

const ListItem = ({
  title,
  subTitle,
  itemRight,
  itemLeft,
  theme,
  style
}) => {
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container, style]
  }, /*#__PURE__*/React.createElement(View, null, itemLeft), /*#__PURE__*/React.createElement(View, {
    style: styles.contentContainer
  }, /*#__PURE__*/React.createElement(Text, {
    style: [styles.title, {
      color: theme.colors.text
    }]
  }, title), subTitle && /*#__PURE__*/React.createElement(Text, {
    style: styles.subtitle
  }, "sub")), /*#__PURE__*/React.createElement(View, null, itemRight));
};

const styles = StyleSheet.create({
  container: {
    flex: 1,
    flexDirection: 'row',
    alignContent: 'center',
    marginVertical: 12
  },
  contentContainer: {
    flex: 1,
    alignSelf: 'center',
    marginLeft: 12
  },
  title: {
    fontSize: 16,
    marginBottom: 2,
    textTransform: 'capitalize'
  },
  subtitle: {
    color: '#777',
    fontSize: 14,
    textTransform: 'capitalize'
  }
});
export default withTheme(ListItem);
//# sourceMappingURL=ListItem.js.map