import React from 'react';
import { View, StyleSheet } from 'react-native';
import Icon from 'react-native-dynamic-vector-icons';
import { Text } from 'react-native-noxi';
import { withTheme } from '../core/Theme';

const Notification = ({
  theme,
  type = 'error',
  icon = 'exclamationcircleo',
  closeIcon = 'close',
  style,
  styleContent,
  textStyle,
  onPressClose
}) => {
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container, {
      borderColor: theme === null || theme === void 0 ? void 0 : theme.colors.text,
      padding: theme === null || theme === void 0 ? void 0 : theme.padding,
      backgroundColor: theme === null || theme === void 0 ? void 0 : theme.colors.surface,
      shadowColor: theme === null || theme === void 0 ? void 0 : theme.colors[type]
    }, style]
  }, /*#__PURE__*/React.createElement(Icon, {
    name: icon,
    type: theme === null || theme === void 0 ? void 0 : theme.iconsTheme,
    size: 30,
    color: theme === null || theme === void 0 ? void 0 : theme.colors[type]
  }), /*#__PURE__*/React.createElement(View, {
    style: [styles.content, styleContent]
  }, /*#__PURE__*/React.createElement(Text, {
    type: "h4",
    style: [styles.textStyle, {
      color: theme === null || theme === void 0 ? void 0 : theme.colors.text
    }, textStyle]
  }, "lasdfisdf sdfiubsdfisud")), /*#__PURE__*/React.createElement(Icon, {
    name: closeIcon,
    type: theme === null || theme === void 0 ? void 0 : theme.iconsTheme,
    size: 30,
    color: theme === null || theme === void 0 ? void 0 : theme.colors.text,
    onPress: onPressClose
  }));
};

export default withTheme(Notification);
const styles = StyleSheet.create({
  container: {
    flex: 1,
    flexDirection: 'row',
    borderWidth: 0.1,
    width: '90%',
    alignItems: 'center',
    justifyContent: 'space-evenly',
    borderRadius: 8,
    shadowOffset: {
      width: 0,
      height: 4
    },
    shadowOpacity: 0.5,
    shadowRadius: 3,
    elevation: 8
  },
  content: {
    width: '80%',
    marginLeft: 10,
    marginRight: 10
  },
  textStyle: {
    alignItems: 'center',
    justifyContent: 'center'
  }
});
//# sourceMappingURL=Notification.js.map