import React from 'react';
import { StyleSheet, Text, TouchableOpacity, ActivityIndicator, View } from 'react-native';
import { withTheme } from '../../core/Theme';
import Icon from 'react-native-dynamic-vector-icons';

const SelectItem = ({
  theme,
  label,
  loading,
  style,
  onPress,
  iconStyle,
  icon
}) => {
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: [styles.selectItemBasic, style],
    onPress: onPress
  }, loading ? /*#__PURE__*/React.createElement(ActivityIndicator, {
    color: theme.colors.buttonText
  }) : /*#__PURE__*/React.createElement(View, {
    style: [styles.selectView]
  }, icon ? /*#__PURE__*/React.createElement(Icon, {
    name: icon,
    style: iconStyle,
    type: theme.iconsTheme,
    size: 30,
    color: theme.colors.primary
  }) : /*#__PURE__*/React.createElement(React.Fragment, null), /*#__PURE__*/React.createElement(Text, {
    numberOfLines: 1,
    style: [styles.textItem, {
      color: theme.colors.primary,
      marginLeft: icon ? 3 : 0
    }]
  }, label)));
};

const styles = StyleSheet.create({
  selectItemBasic: {
    padding: 10,
    justifyContent: 'center',
    flexDirection: 'row',
    alignItems: 'center'
  },
  selectView: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center'
  },
  textItem: {
    fontSize: 18,
    fontWeight: 'bold'
  }
});
export default withTheme(SelectItem);
//# sourceMappingURL=SelectItem.js.map