import React from 'react';
import { StyleSheet, Text as Txt } from 'react-native';
import { withTheme } from '../core/Theme';

const Text = ({
  theme,
  children,
  type = 'h5',
  style
}) => {
  return /*#__PURE__*/React.createElement(Txt, {
    style: [styles[type], {
      color: theme.colors.text
    }, style]
  }, children);
};

const styles = StyleSheet.create({
  h1: {
    fontSize: 31
  },
  h2: {
    fontSize: 24
  },
  h3: {
    fontSize: 20.8
  },
  h4: {
    fontSize: 16
  },
  h5: {
    fontSize: 12.8
  },
  h6: {
    fontSize: 11.2
  }
});
export default withTheme(Text);
//# sourceMappingURL=Text.js.map