import React from 'react';
import { Animated } from 'react-native';
import { withTheme } from '../../core/Theme';

const FadeIn = ({
  style,
  theme,
  children,
  animate = true
}) => {
  const {
    current: visibility
  } = React.useRef(new Animated.Value(0));
  const {
    scale
  } = theme.animation;
  React.useEffect(() => {
    Animated.timing(visibility, {
      toValue: 1,
      duration: animate ? 300 * scale : 0,
      useNativeDriver: true
    }).start();
  }, [scale, visibility]);
  const animateStyle = {
    opacity: visibility
  };
  return /*#__PURE__*/React.createElement(Animated.View, {
    style: [animateStyle, style]
  }, children);
};

export default withTheme(FadeIn);
//# sourceMappingURL=FadeIn.js.map