import React, { PureComponent } from 'react';
import { ScrollView, Animated, StyleProp, TextStyle, ViewStyle, ScrollViewProps, NativeScrollEvent, NativeSyntheticEvent, LayoutChangeEvent } from 'react-native';
import { EntryDirection } from './Entry';
interface LayoutProps {
    title?: string;
    toolbarLeft?: React.ReactNode;
    toolbarRight?: React.ReactNode;
    largeToolbarRight?: React.ReactNode;
    canGoBack?: boolean;
    titleStyle?: StyleProp<TextStyle>;
    headlineStyle?: StyleProp<TextStyle>;
    children?: React.ReactNode;
    onPressBackIcon?: () => void;
    containerStyle?: StyleProp<ViewStyle>;
    headerContainerStyle?: StyleProp<ViewStyle>;
    headerComponentContainerStyle?: StyleProp<ViewStyle>;
    scrollContainerStyle?: StyleProp<ViewStyle>;
    fadeDirection?: EntryDirection;
    scrollViewProps?: ScrollViewProps;
    showSearchComponent?: boolean;
    showSearchComponentWithoutScroll?: boolean;
    searchBarHeight?: number;
    onRefresh?: (() => void) | undefined;
    enabledPullToRefresh?: boolean;
    refreshing?: boolean;
    largeToolbar?: boolean;
    theme: ReactNativeNoxi.Theme;
}
export declare class Layout extends PureComponent<LayoutProps> {
    static defaultProps: {
        scrollViewProps: {};
        searchBarHeight: number;
        showSearchComponent: boolean;
        showSearchComponentWithoutScroll: boolean;
        ScrollComponent: typeof ScrollView;
    };
    state: {
        headerHeight: number;
        headerY: number;
        largeTitleHeight: undefined;
        isHeaderScrolled: boolean;
        searchBarShrinking: boolean;
        searchBarFixed: boolean;
    };
    scrollAnimatedValue: Animated.Value;
    componentDidMount: () => void;
    onLayout: (event: LayoutChangeEvent) => void;
    onLargeTitleLayout: (event: LayoutChangeEvent) => void;
    handleScroll: (event: NativeSyntheticEvent<NativeScrollEvent>) => void;
    render(): JSX.Element;
}
declare const _default: (React.ComponentClass<Pick<LayoutProps, "children" | "title" | "toolbarLeft" | "toolbarRight" | "largeToolbarRight" | "canGoBack" | "titleStyle" | "headlineStyle" | "onPressBackIcon" | "containerStyle" | "headerContainerStyle" | "headerComponentContainerStyle" | "scrollContainerStyle" | "fadeDirection" | "scrollViewProps" | "showSearchComponent" | "showSearchComponentWithoutScroll" | "searchBarHeight" | "onRefresh" | "enabledPullToRefresh" | "refreshing" | "largeToolbar"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<ReactNativeNoxi.Theme> | undefined;
}, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<LayoutProps, any> & typeof Layout) | (React.FunctionComponent<LayoutProps> & typeof Layout), {}>) | (React.FunctionComponent<Pick<LayoutProps, "children" | "title" | "toolbarLeft" | "toolbarRight" | "largeToolbarRight" | "canGoBack" | "titleStyle" | "headlineStyle" | "onPressBackIcon" | "containerStyle" | "headerContainerStyle" | "headerComponentContainerStyle" | "scrollContainerStyle" | "fadeDirection" | "scrollViewProps" | "showSearchComponent" | "showSearchComponentWithoutScroll" | "searchBarHeight" | "onRefresh" | "enabledPullToRefresh" | "refreshing" | "largeToolbar"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<ReactNativeNoxi.Theme> | undefined;
}> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<LayoutProps, any> & typeof Layout) | (React.FunctionComponent<LayoutProps> & typeof Layout), {}>);
export default _default;
